package rattrapage.donnees;

public class Livre implements Comparable<Livre> {
    private String titre;
    private int anneeSortie;

    public Livre(String leTitre, int lAnnee) {
	titre = leTitre;
	anneeSortie = lAnnee;
    }

    public int getAnnee() {
	return anneeSortie;
    }
    
    public String toString() {
	return titre + " [" + anneeSortie + "]";
    }

    @Override
    public int compareTo(Livre autre) {
	return titre.compareTo(autre.titre);
    }
}
